export declare const FETCH_ERROR = -2;
export declare const TYPE_ERROR = -1;
/** A unified class for all errors */
export declare class HttpError<T = any> {
    data: T;
    status: number;
    text?: string;
    /** A Server Error */
    get isFetchError(): boolean;
    get isTypeError(): boolean;
    constructor(status: number, data: T, text?: string);
}
