import { SchemaObject, ValidateFunction } from "ajv";
declare type Serializer = (doc: string) => any;
interface Validator {
    query?: ValidateFunction;
    body?: ValidateFunction;
    responseSerializers?: Map<string, Serializer>;
}
interface SchemaFileContent {
    models: Record<string, SchemaObject>;
    routes: Record<string, SchemaObject>;
}
export declare function createValidatorsFromSchema(schemas: SchemaFileContent): Map<string, Validator>;
export {};
